function onAppReady() {    
    //Callback function for the moment that the orientation changes
    function onSuccess(acceleration) {
           //get sensor values
           var tiltLR = -acceleration.x;
           var tiltFB = acceleration.y;
           
           var changeX = screen.width/2-25 + tiltLR*(screen.width/20) + "px";
           $('.middleBlock').css('left', changeX);
           var changeY = screen.height/2-25 + tiltFB*(screen.height/20) + "px";
           $('.middleBlock').css('top', changeY);
        
           //Just for debugging purposes
           $('.sensorValues').html( Math.round(tiltLR*10)/10 + " " + Math.round(tiltFB*10)/10 );
    }

    function onError() {
        alert('onError!');
    }
    var options = { frequency: 100 };  // Update the triggering of the event listener every 100 msec. i.e. check the accelerometer value every 100 msec
    //Add an event listener on the moment that the orientation changes
    var watchID = navigator.accelerometer.watchAcceleration(onSuccess, onError, options);
}
document.addEventListener("app.Ready", onAppReady, false);
